Subject: Re: bug#10735: chmod +x file

From: Pádraig Brady <[email-masked]>
Date: Mon, 06 Feb 2012 14:33:20 +0000

tags 10735 notabug

On 02/06/2012 02:23 PM, [email-masked] wrote:
> 
> Hello, 
> 
> I perform the following: 
> 
> ubuntu@ubuntu-VirtualBox:~/.gvfs/account on stockholm/Documents/03 professional/structured_documentation$ ls -l doc/filters_for_this_document 
> -rwx------ 1 ubuntu ubuntu 98 2012-02-06 14:47 doc/filters_for_this_document 
> ubuntu@ubuntu-VirtualBox:~/.gvfs/account on stockholm/Documents/03 professional/structured_documentation$ whoami 
> ubuntu 
> ubuntu@ubuntu-VirtualBox:~/.gvfs/account on stockholm/Documents/03 professional/structured_documentation$ chmod +x doc/filters_for_this_document 
> chmod: changing permissions of `doc/filters_for_this_document': Operation not supported 
> ubuntu@ubuntu-VirtualBox:~/.gvfs/account on stockholm/Documents/03 professional/structured_documentation$ chmod --version 
> chmod (GNU coreutils) 8.5 
> 
> 
> On another machine I have version 6.10, and there I don't get 
> the error "Operation not supported". 
> 
> What is wrong here? 

That's a file system presented by gvfs-fuse-daemon,
and it's telling you it doesn't support that operation.
I'm closing this as a chmod issue so.

cheers,
Pádraig.